import Globals
from Globals import InitializeClass
from AccessControl import ClassSecurityInfo
from ExtensionClass import Base

class Categorizavel(Base):
    """
    Possibilita a um objeto ter uma propriedade
    categorias, onde posteriormente possam
    ser feitas buscas e agrupamentos de objetos
    por categorias
    """

    security = ClassSecurityInfo()

    security.declareProtected('View management screens','gadgetCategoriasForm')
    gadgetCategoriasForm = Globals.DTMLFile("dtml/editCategoriasForm", globals())

    security.declareProtected('Modificar propriedades','manage_Categorias')
    def manage_Categorias(self, categorias=None, novas_categorias=None, REQUEST=None):
        "Modifica as Propriedades do Objeto"
        print self.canEdit()
        if self.canEdit():
          if novas_categorias:
              if categorias is None:
                categorias = novas_categorias
              else:
                categorias.extend(novas_categorias)
          if categorias is None:
              categorias = []
          for i in range(0, categorias.count("")):
            try: categorias.remove("")
            except: pass
          self.categorias = categorias
          self.manage_catalogIndex()

        if REQUEST is not None:
          return self.manage_PropertiesForm(REQUEST, management_view = 'Propriedades',
                  manage_tabs_message='As Categorias de <strong>%s</strong> foram editadas.' % self.id)

InitializeClass(Categorizavel)