from DateTime import DateTime
from Products.ZCoMIX.utilities import dt2us

def log(msg):
    import sys
    sys.stdout.write( str(msg) +'\n')

def fixDates(self):
    fixDate(self)
    return 'finished fixing'

def fixDate(object):
    folder_types = ['XSite','XSecao', 'XPagina', 'XNoticia']
    doc_types = ['XLink']

    try:
        for o in object.objectValues():
            if o.meta_type in folder_types or o.meta_type in doc_types:
                try:
                    if type(o.data_inicial) == type(''):
                        o.data_inicial     = DateTime(o.data_inicial)
                except:
                    print o.absolute_url(), o.data_inicial, 'ini'
                try:
                    if type(o.data_final) == type(''):
                        o.data_final       = DateTime(o.data_final)
                except:
                    print o.absolute_url(), o.data_final, 'fin'
                try:
                    if hasattr(o.aq_base, '_data_criacao') and type(o._data_criacao) == type(''):
                        o._data_criacao    = DateTime(o._data_criacao)
                    else:
                        o._data_criacao    = DateTime()
                except:
                    print o.absolute_url(), o._data_criacao, 'cri'
                try:
                    if type(o.data_producao) == type(''):
                        o.data_producao    = DateTime(o.data_producao)
                except:
                    print o.absolute_url(), o.data_producao(), 'prod'
                try:
                    if type(o.data_publicacao) == type(''):
                        o.data_publicacao  = DateTime(o.data_publicacao)
                except:
                    print o.absolute_url, o.data_publicacao, 'publ'
                try:
                    if type(o.data_revisao) == type(''):
                        o.data_revisao     = DateTime(o.data_revisao)
                except:
                    print o.absolute_url(), o.data_revisao, 'rev'
                if hasattr(o.aq_base, '_historico'):
                    for hist in o._historico:
                        try:
                            if type(hist['data']) == type(''):
                                hist['data']  = DateTime(hist['data'])
                        except:
                            print o.absolute_url, hist['data'], 'hist'
                    
            if o.meta_type in (folder_types):
              fixDate( o )
    except:
        pass
