import XSite
import XSecao
import XConteudo
import XPagina
import XTemplate
import XLink
import XNoticia
import XWorkFlowCatalog
from ImageFile import ImageFile

misc_={
        'new':ImageFile('www/New.gif',globals()),
        'edit':ImageFile('www/Edit.gif',globals()),
        'delete':ImageFile('www/Delete.gif',globals()),
        'up':ImageFile('www/Up.gif',globals()),
        'down':ImageFile('www/Down.gif',globals()),
        'top':ImageFile('www/Top.gif',globals()),
        'bottom':ImageFile('www/Bottom.gif',globals()),
        'produzindo':ImageFile('icons/draft.gif',globals()),
        'produzido':ImageFile('icons/draft.gif',globals()),
        'revisar':ImageFile('icons/submitted.gif',globals()),
        'revisando':ImageFile('icons/submitted.gif',globals()),
        'revisado':ImageFile('icons/submitted.gif',globals()),
        'rejeitado':ImageFile('icons/denied.gif',globals()),
        'publicado':ImageFile('icons/reviewed.gif',globals()),
        'publico':ImageFile('icons/published.gif',globals()),
        'privado':ImageFile('icons/unpublished.gif',globals()),
        'aguardando':ImageFile('icons/timepublish.gif',globals()),
	'expirado':ImageFile('icons/timeexpired.gif',globals()),
        }

def initialize(context):
        """Inicializa o Produto ZCoMIX.
        """
        context.registerClass(
        XSite.XSite,
        constructors = (XSite.manage_addXSiteForm, XSite.manage_addXSite),
        icon = 'www/XSite.gif')

        context.registerClass(
        XSecao.XSecao,
        constructors = (XSecao.manage_addXSecaoForm, XSecao.manage_addXSecao),
        icon = 'www/XSecao.gif')

        context.registerClass(
        XPagina.XPagina,
        constructors = (XPagina.manage_addXPaginaForm, XPagina.manage_addXPagina),
        icon = 'www/XPagina.gif')

        context.registerClass(
        XTemplate.XTemplate,
        constructors = (XTemplate.manage_addXTemplateForm, XTemplate.manage_addXTemplate),
        icon = 'www/XTemplate.gif')

        context.registerClass(
        XLink.XLink,
        constructors = (XLink.manage_addXLinkForm, XLink.manage_addXLink),
        icon = 'www/XLink.gif')

        context.registerClass(
        XNoticia.XNoticia,
        constructors = (XNoticia.manage_addXNoticiaForm, XNoticia.manage_addXNoticia),
        icon = 'www/XNoticia.gif')

        context.registerClass(
        XWorkFlowCatalog.XWorkFlowCatalog,
        constructors = (XWorkFlowCatalog.manage_addXWorkFlowCatalogForm, XWorkFlowCatalog.manage_addXWorkFlowCatalog),
        icon = 'www/XWorkFlowCatalog.gif')

        context.registerHelp()
